package com.bonus.sgzb.material.mapper;


import com.bonus.sgzb.material.domain.ReturnOfMaterialsInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * @author lsun
 */
@Mapper
public interface ReturnOfMaterialsInfoMapper {
    /**
     * 查询
     * @param bean
     * @return
     */
    List<ReturnOfMaterialsInfo> getReturnOfMaterialsInfoAll(ReturnOfMaterialsInfo bean);

    /**
     * 查询
     * @param level
     * @return
     */
    List<ReturnOfMaterialsInfo> getTypeList(String level);

    List<ReturnOfMaterialsInfo> getInfoListByType(@Param("level")String level, @Param("parentId")String parentId);

    List<ReturnOfMaterialsInfo> getMaTypeList(String level);
}
